{{ form_start(form) }}
    {{ form_widget(form) }}
    {% for question in questions %}
        <div class="mb-3 row">
            <label class="col-form-label col-sm-2"></label>
            <div class="col-sm-10">
                <div id="question_{{ question.id }}">{{ question.text }}
                </div>
                <span id="answer_{{ question.id }}_message" class="answer_message hidden"></span>

                <div id="answer_{{ question.id }}" class="answer">
                    {% if mode is same as 'multiple' %}
                        {% for i in range(1, 3) %}
                            {% set questionArr = { 1: question.answer1, 2: question.answer2, 3: question.answer3 } %}
                            <div class="form-check">
                                <input type="radio" id="answer_{{ question.id }}_{{ i }}" value="{{ i }}" name="answers[{{ question.id }}]" class="form-check-input answer-question-{{ question.id }}" data-form-type="other" data-question-id="{{ question.id }}" data-mode="{{- mode -}}">
                                {% set varName = 'answer' ~ i %}
                                <label class="form-check-label" for="answer_{{ question.id }}_{{ i }}">{{ questionArr[i] }}</label>
                            </div>
                        {% endfor %}
                    {% else %}
                        {% for i in range(0, 1) %}
                            {% set questionArr = { 0: 'No', 1: 'Yes' } %}
                            <div class="form-check">
                                <input type="radio" id="answer_{{ question.id }}_{{ i }}" value="{{ i }}" name="answers[{{ question.id }}]" class="form-check-input answer-question-{{ question.id }}" data-form-type="other" data-question-id="{{ question.id }}" data-mode="{{- mode -}}">
                                {% set varName = 'answer' ~ i %}
                                <label class="form-check-label" for="answer_{{ question.id }}_{{ i }}">{{ questionArr[i] }}</label>
                            </div>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
        </div>
    {% else %}
        <div class="mb-3 row">
            <label class="col-form-label col-sm-2"></label>
            <div class="col-sm-10">
                <div id="question_{{ question.id }}">There are no questions</div>

                <div></div>
            </div>
        </div>
    {% endfor %}
    <input type="hidden" name="started_at" id="started_at" value="{{ "now"|date("Y-m-d H:i:s") }}" />
    <button class="btn btn-primary">{{ button_label|default('Save') }}</button>
    <a class="btn btn-secondary" href="{{ path('app_answer_index') }}">back to list</a>
{{ form_end(form) }}
